MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes
sc::StateInFile Class Reference

Reads state information from a file. More...

`#include <state_file.h>`

Inheritance diagram for sc::StateInFile:

List of all members.

## Public Member Functions

| StateInFile ()
| State information will be obtained from cin.
| StateInFile (std::istream &s)
| State information will be obtained from fp.
| StateInFile (const char *name)
| State information will be obtained from name.
virtual int | open (const char *name)
| State information will be obtained from name.
virtual void | close ()
| Close the output file.

## Protected Attributes

int | opened_
std::streambuf * | buf_

## Detailed Description

Reads state information from a file.

The documentation for this class was generated from the following file:

- state_file.h